﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace UnboundXamComboEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamDataGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.ExecuteCommand(DataPresenterCommands.CommitChangesToAllRecords);
        }

    }

    public class ViewModel
    {
        public ViewModel()
        {
            Data = new ObservableCollection<DataItem>
            {
                new DataItem { ID = 1 },
                new DataItem { ID = 2 },
                new DataItem { ID = 3 },
                new DataItem { ID = 4 },
                new DataItem { ID = 5 },
            };

        }

        public ObservableCollection<string> GetItems()
        {
            return new ObservableCollection<string>
            {
                "item 1","item 2","item 3"
            };
        }

        public ObservableCollection<DataItem> Data { get; set; }
    }

    public class DataItem
    {
        public int ID { get; set; }
        public string Combo1 { get; set; }
        public string Combo2 { get; set; }
    }

    public class ItemToTextConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                if (value.ToString().Equals("item 1"))
                    return "Custom Text for Item 1";

                if (value.ToString().Equals("item 2"))
                    return "Other Text for Item 2";

                if (value.ToString().Equals("item 3"))
                    return "Text for Item 3";
            }
            return value;    
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                if (value.ToString().Equals("item 1"))
                    return "Custom Text for Item 1";

                if (value.ToString().Equals("item 2"))
                    return "Other Text for Item 2";

                if (value.ToString().Equals("item 3"))
                    return "Text for Item 3";
            }
            return value;
        }
    }

}
